## ledgersmb 1.5.21+ds

=== Makefile ===

DIST_VER=$(shell utils/release/build-id)
DIST_DIR=/tmp
ifeq ($(DIST_VER),travis)
DIST_DEPS=cached_dojo
else
DIST_DEPS=dojo
endif

.DEFAULT_GOAL := help

DEB_essential := cpanminus postgresql make libdbd-pg-perl
DEB_essential += starman
DEB_perlmodules := libcgi-emulate-psgi-perl libcgi-simple-perl libconfig-inifiles-perl
DEB_perlmodules += libdbd-pg-perl libdbi-perl libdatetime-perl
DEB_perlmodules += libdatetime-format-strptime-perl libdigest-md5-perl
DEB_perlmodules += libfile-mimeinfo-perl libjson-xs-perl libjson-perl
DEB_perlmodules += liblocale-maketext-perl liblocale-maketext-lexicon-perl
DEB_perlmodules += liblog-log4perl-perl libmime-base64-perl libmime-lite-perl
DEB_perlmodules += libmath-bigint-gmp-perl libmoose-perl libnumber-format-perl
DEB_perlmodules += libpgobject-perl libpgobject-simple-perl libpgobject-simple-role-perl
DEB_perlmodules += libpgobject-util-dbmethod-perl libplack-perl libtemplate-perl
DEB_perlmodules += libnamespace-autoclean-perl libmoosex-nonmoose-perl
DEB_perlmodules += libxml-simple-perl
DEB_feature_PDF := libtemplate-plugin-latex-perl libtex-encode-perl
DEB_feature_PDF := texlive-latex-recommended
DEB_feature_PDF_utf8 := texlive-xetex
DEB_feature_OpenOffice := libopenoffice-oodoc-perl

# Core packages provided by Fedora 24
RHEL_essential := perl-devel perl-CPAN perl-App-cpanminus
RHEL_essential += postgresql make perl-DBD-Pg
RHEL_essential += perl-Starman
RHEL_perlmodules := perl-CGI-Emulate-PSGI perl-CGI-Simple perl-Config-IniFiles
RHEL_perlmodules += perl-DBD-Pg perl-DBI perl-DateTime perl-DateTime-Format-Strptime
RHEL_perlmodules += perl-Digest-MD5 perl-File-MimeInfo perl-JSON-XS
RHEL_perlmodules += perl-Locale-Maketext perl-Locale-Maketext-Lexicon
RHEL_perlmodules += perl-Log-Log4perl perl-MIME-Base64 perl-MIME-Lite perl-Math-BigInt-GMP
RHEL_perlmodules += perl-Moose perl-Number-Format perl-Plack perl-Template-Toolkit
RHEL_perlmodules += perl-namespace-autoclean perl-MooseX-NonMoose
RHEL_perlmodules += perl-XML-Simple
RHEL_perlmodules += perl-YAML perl-FCGI-ProcManager
RHEL_feature_PDF := perl-TeX-Encode texlive
RHEL_feature_PDF_utf8 := 
RHEL_feature_OpenOffice := 

FBSD_essential := 
FBSD_perlmodules := 
FBSD_feature_PDF := 
FBSD_feature_OpenOffice := 

APT_GET = sudo apt-get install
YUM = sudo yum install

# Lets try and work out what OS and DISTRO we are running on
# some usefull info here http://linuxmafia.com/faq/Admin/release-files.html
ifeq ($(OS),Windows_NT)
    OS := WIN32
    OSTYPE := WINDOWS
    $(error We currently don't support Windows via this makefile.)
else
    UNAME_S := $(shell uname -s)
    ifeq ($(UNAME_S),Linux)
        OS := LINUX
    endif
    ifeq ($(UNAME_S),FreeBSD)
        OS := FREEBSD
        OSTYPE := FREEBSD
    endif
    ifeq ($(UNAME_S),Darwin)
        OS := OSX
        OSTYPE := OSX
        OSDISTRO := DARWIN
    endif
    OSDISTRO := $(shell lsb_release -si | tr '[:lower:]' '[:upper:]')
    ifndef OSDISTRO
        UNAME_V := $(shell uname -v | tr '[:lower:]' '[:upper:]')
            ifneq (,$(findstring DEBIAN,$(UNAME_V)))
                OSDISTRO := DEBIAN
            endif
            ifneq (,$(findstring UBUNTU,$(UNAME_V)))
                OSDISTRO := UBUNTU
            endif
            ifneq (,$(findstring LINUXMINT,$(UNAME_V)))
                OSDISTRO := LINUXMINT
            endif
            ifneq (,$(findstring AMZN,$(UNAME_V)))
                OSDISTRO := AMAZONLINUX
            endif
        REDHAT_RELEASE_FILE := $(shell test -r /etc/redhat-release && cat /etc/redhat-release | tr '[:lower:]' '[:upper:]')
            ifneq (,$(findstring CENTOS,$(REDHAT_RELEASE_FILE)))
                OSDISTRO := CENTOS
            endif
            ifneq (,$(findstring FEDORA,$(REDHAT_RELEASE_FILE)))
                OSDISTRO := FEDORA
            endif
# the following are speculative, we need to confirm what is expected.
            ifneq (,$(findstring RHEL,$(REDHAT_RELEASE_FILE)))
                OSDISTRO := RHEL
            endif
            ifneq (,$(findstring REDHAT,$(REDHAT_RELEASE_FILE)))
                OSDISTRO := REDHAT
            endif
        SUSE_RELEASE_FILE := $(shell test -r /etc/suse-release && cat /etc/suse-release | tr '[:lower:]' '[:upper:]')
            ifneq (,$(findstring SUSE,$(SUSE_RELEASE_FILE)))
                OSDISTRO := SUSE
            endif
        MANDRAKE_RELEASE_FILE := $(shell test -r /etc/mandrake-release && cat /etc/mandrake-release | tr '[:lower:]' '[:upper:]')
            ifneq (,$(findstring MANDRAKE,$(MANDRAKE_RELEASE_FILE)))
                OSDISTRO := MANDRAKE
            endif
        OS_RELEASE_FILE := $(shell test -r /etc/os-release && cat /etc/os-release | tr '[:lower:]' '[:upper:]')
            ifneq (,$(findstring DEBIAN,$(OS_RELEASE_FILE)))
                OSDISTRO := DEBIAN
            endif
            ifneq (,$(findstring SUSE,$(OS_RELEASE_FILE)))
                OSDISTRO := SUSE
            endif
    endif
    ifneq (,$(filter DEBIAN UBUNTU LINUXMINT, $(OSDISTRO)))
        OSTYPE := DEBIAN
    endif
    ifneq (,$(filter SUSE, $(OSDISTRO)))
        OSTYPE := SUSE
    endif
    ifneq (,$(filter MANDRAKE, $(OSDISTRO)))
        OSTYPE := MANDRAKE
    endif
    ifneq (,$(filter GENTOO, $(OSDISTRO)))
        OSTYPE := GENTOO
    endif
# this filter is speculative, we need to confirm what is expected.
    ifneq (,$(filter REDHAT RHEL FEDORA CENTOS AMAZONLINUX, $(OSDISTRO)))
        OSTYPE := REDHAT
    endif
endif
    ifndef OSDISTRO
        $(warning We don't know what distro you are running so can't do anything special for it)
    endif
    ifndef OSTYPE
        $(warning We don't know what OSTYPE (eg: debian or redhat) you are running)
        $(warning Please report this on the mailing lists or IRC)
        $(warning http://ledgersmb.org/topics/support)
        $(warning OSTYPE   = $(OSTYPE))
        $(warning OSDISTRO = $(OSDISTRO))
        $(warning UNAME_V = $(UNAME_V))
        $(warning REDHAT_RELEASE_FILE = $(REDHAT_RELEASE_FILE))
        $(warning SUSE_RELEASE_FILE = $(SUSE_RELEASE_FILE))
        $(warning MANDRAKE_RELEASE_FILE = $(MANDRAKE_RELEASE_FILE))
        $(warning OS_RELEASE_FILE = $(OS_RELEASE_FILE))
        $(error exit)
    endif

ifeq ($(OSTYPE),DEBIAN)
OS_feature_PDF        := deb_feature_PDF
OS_feature_PDF_utf8   := deb_feature_PDF_utf8
OS_feature_OpenOffice := deb_feature_OpenOffice
endif
ifeq ($(OSTYPE),REDHAT)
OS_feature_PDF        := rhel_feature_PDF
OS_feature_PDF_utf8   := rhel_feature_PDF_utf8
OS_feature_OpenOffice := rhel_feature_OpenOffice
endif
ifeq ($(OSTYPE),FREEBSD)
OS_feature_PDF        := fbsd_feature_PDF
OS_feature_PDF_utf8   := fbsd_feature_PDF_utf8
OS_feature_OpenOffice := fbsd_feature_OpenOffice
endif

# make help
#   Simple Help on installing LedgerSMB and use of this Makefile
#   This should always remain the first target
#   The first target is the default when make is run with no arguments
define HELP
Help on installing LedgerSMB can be found in
  - README.md
  - http://ledgersmb.org/topic/installing-ledgersmb-15

The easiest way to use this makefile to install LedgerSMB is simply to run
  make all_depndencies
  make feature_PDF_utf8 # this is optional and is a large additional download
                        # see discussion about XeLaTeX and UTF8 at
                        # http://ledgersmb.org

Help on using this Makefile
  The following make targets are available
    - help         : This help text
    - dojo         : Builds the minified dojo blob we serve to clients
    - cached_dojo  : Uses the cached minified dojo, or builds one
    - dojo_archive : Builds a cached minified dojo archive
    - blacklist    : Builds sql blacklist (required after adding functions)
    - submodules   : Initialises and updates our git submodules
    - test         : Runs tests
    - devtest      : Runs all tests including development/author tests
    - dist         : builds the release distribution archive
    - dependencies : Installs all dependencies including cpan ones. (except features)
                     Preferring system perl modules over cpan ones
                     It attempts to detect OS type if OSTYPE is not set
                     Valid OS types are
                        - debian
                        - redhat
                        - freebsd

    - debian  : installs all apt dependencies for a debian based system except deb_feature_*
    - redhat  : installs all apt dependencies for an rpm (redhat) based system except rhel_feature_*
    - freebsd : installs some known dependencies for a FreeBSD system

    - all_dependencies : same as dependencies but adds all features except feature_PDF_utf8

    - cpan                    : installs any remaining perl dependancies using cpanm

    - feature_PDF             : Install system and cpan packages for generating PDF/Postscript output
    - feature_PDF_utf8        : Install system and cpan packages for UTF8 ouput in PDF/Postscript output
    - feature_OpenOffice      : Install system and cpan packages for generating OpenOffice output

    #############################################################
      The following targets would not normally be used manually
    #############################################################

    - all_debian  : same as debian but adds all features except deb_feature_PDF_utf8
    - all_redhat  : same as redhat but adds all features except rhel_feature_PDF_utf8
    - all_freebsd : same as freebsd but adds all features except fbsd_feature_PDF_utf8

    - deb_essential           : installs just the "can't do without these" dependencies
    - deb_perlmodules         : installs all known deb packaged perl modules we depend on
    - deb_feature_PDF         : installs deb packages for generating PDF/Postscript output
    - deb_feature_PDF_utf8    : Installs texlive-xetex to allow UTF8 ouput in PDF/Postscript output
    - deb_feature_OpenOffice  : Installs deb package for generating OpenOffice output

    - rhel_essential          : installs just the "can't do without these" dependencies
    - rhel_perlmodules        : installs all known rpm packaged perl modules we depend on
    - rhel_feature_PDF        : installs rpm packages for generating PDF/Postscript output
    - rhel_feature_PDF_utf8   : Installs texlive-xetex (if available) to allow UTF8 ouput in PDF/Postscript output
    - rhel_feature_OpenOffice : Installs rpm package for generating OpenOffice output


endef
export HELP

help:
	@echo "$$HELP"
	$(warning OSTYPE   = $(OSTYPE))
	$(warning OSDISTRO = $(OSDISTRO))
	$(warning REDHAT_RELEASE_FILE = $(REDHAT_RELEASE_FILE))

# make dojo
#   builds dojo for production/release
SHELL := /bin/bash
HOMEDIR := ~/dojo_archive
SHA := $(shell find UI/js-src/lsmb UI/js-src/dojo UI/js-src/dijit -exec sha1sum {} + 2>&1 | sort | sha1sum | cut -d' ' -f 1)
ARCHIVE := $(HOMEDIR)/UI_js_$(SHA).tar
TEMP := $(HOMEDIR)/_UI_js_$(SHA).tar
FLAG := $(HOMEDIR)/building_UI_js_$(SHA)

dojo:
	rm -rf UI/js/;
	cd UI/js-src/lsmb/ \
		&& ../util/buildscripts/build.sh --profile lsmb.profile.js \
		| egrep -v 'warn\(224\).*A plugin dependency was encountered but there was no build-time plugin resolver. module: (dojo/request;|dojo/request/node;|dojo/request/registry;|dijit/Fieldset;|dijit/RadioMenuItem;|dijit/Tree;|dijit/form/_RadioButtonMixin;)';
	cd ../../..


dojo_archive: dojo
    #TODO: Protect for concurrent invocations
	mkdir -p $(HOMEDIR)
	touch $(FLAG)
	tar cf $(TEMP) UI/js
	mv $(TEMP) $(ARCHIVE)
	rm $(FLAG)

cached_dojo:
ifeq ($(wildcard $(ARCHIVE)),)
	$(MAKE) dojo_archive
endif
	tar xf $(ARCHIVE)


# make blacklist
blacklist:
	perl tools/makeblacklist.pl

# make pod
#make submodules
#   Initialises and updates our git submodules
submodules:
	git submodule update --init --recursive

# make dist
#   builds release distribution archive
dist: $(DIST_DEPS)
	test -d $(DIST_DIR) || mkdir -p $(DIST_DIR)

=== debian/changelog ===
ledgersmb (1.5.21+ds-1) unstable; urgency=medium

  * New series 1.5.x Upstream Release (Closes: #874664)
    + Along with an explicit requirement for liblatex-driver-perl >= 0.300.2,
      resolves the issue with printing to PDF or Postscript. (Closes: #821251)
  * Updated the debian/po/* files using 'debconf-updatepo'.
  * Rewrote the debian/ledgersmb.config file for new upstream.
  * Add '--with systemd' to dh invocation line in debian/rules
  * Adapt the maintainer scripts for the new 1.5.x series upstream.
  * Add a debian/ledgersmb.init and a debian/ledgersmb.default file.
  * Removed debian/adm/apache-vhost.conf as the file itself is now in upstream.
  * Rewrite and/or rename or delete debian/patches/* for new upstream version.
  * Add capability to select setting for Web Proxy to use during installation.
  * Remove debian/ledgersmb.starman-ledgersmb.service as it is now in upstream
    and add installing a patched version of that upstream version.
  * Update the links in 'debian/ledgersmb.links' related to embedded dojo files.
  * Edited the README.Debian file, adding a new introduction at the beginning as
    well as a new section specifically regarding accessing the application via
    a web proxy and otherwise updating it for the new upstream version.
  * Changes in debian/copyright:
    + Update copyright years as necessary for new upstream.
    + Add a stanza for the 'debian/ledgersmb.default' file.
    + Add 'David Godfrey' & 'Nick Prater' to the Core Team in the source stanza.
    + Correct the License entry in the 'debian/*' stanza to 'GPL-2+' and update
      its comment about why that was done.
    + Update 'Files-Excluded' in debian/copyright related to the embedded dojo
      files to reflect the new version 1.5.x series upstream.
  * Changes in debian/control:
    + Include 'liblocale-codes-perl' package as a Depends. (Closes: #903273)
    + Change debhelper Build-Depends from '>= 9' to '>= 9.20160709'.
    + Include as 'Depends': libmoosex-nonmoose-perl, libcgi-emulate-psgi-per',
      libplack-builder-conditionals-perl.
    + Update dojo requirement from libjs-dojo-dojox to libjs-dojo-dijit.
    + Drop explicit 'Depends' on 'liberror-perl' as not being necessary.
    + Drop 'libparse-recdescent-perl' as a Recommends as it is no longer needed.
    + Drop the version being required for the Perl requirement in 'Depends'.
    + Explicitly add 'liblatex-driver-perl (>= 0.300.2)' to Recommends section.
    + Include the PGObject* Perl modules required for the new 1.5.x series
      upstream as Depends: libpgobject-perl, libpgobject-simple-perl,
      libpgobject-simple-role-perl, libpgobject-type-bigfloat-perl,
      libpgobject-type-bytestring-perl, libpgobject-type-datetime-perl,
      libpgobject-util-dbmethod-perl, and libpgobject-util-dbadmin-perl.
  * Changes in debian/templates for new upstream version series:
    + Update the example URL in the admin_login stanza.
    + Update the example URL in the admin_password stanza.
    + Drop the debconf_install stanza but add a lsmb_proxy stanza.

 -- Robert James Clay <jame@rocasa.us>  Thu, 12 Jul 2018 19:38:40 -0400

ledgersmb (1.4.42+ds-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.4.
  * Change the Priority in debian/control from "extra" back to "optional".
  * Correct 'neccessary' as 'necessary' in debian/patches/05_confdir.patch.
  * Change 'Maintainer' to "LedgerSMB Core Team <devel@lists.ledgersmb.org>" in
    debian/control. (Closes: #899564)

 -- Robert James Clay <jame@rocasa.us>  Thu, 31 May 2018 16:52:03 -0400

=== debian/control ===
Source: ledgersmb
Section: web
Priority: optional
Maintainer: LedgerSMB Core Team <devel@lists.ledgersmb.org>
Uploaders: Robert James Clay <jame@rocasa.us>
Build-Depends: debhelper (>= 9.20160709),
               po-debconf
Standards-Version: 4.1.4
Homepage: http://www.ledgersmb.org/
Vcs-Git: https://github.com/ledgersmb/pkg-ledgersmb.git
Vcs-Browser: https://github.com/ledgersmb/pkg-ledgersmb

Package: ledgersmb
Architecture: all
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: adduser,
         libcarp-always-perl,
         libcgi-emulate-psgi-perl,
         libcgi-simple-perl,
         libclass-c3-xs-perl,
         libconfig-inifiles-perl,
         libdatetime-perl,
         libdatetime-format-strptime-perl,
         libdbd-pg-perl,
         libdbi-perl,
         libfile-mimeinfo-perl,
         libhttp-exception-perl,
         libjs-dojo-dijit,
         libjson-perl,
         liblocale-codes-perl,
         liblocale-maketext-lexicon-perl (>= 0.62-1),
         liblog-log4perl-perl,
         libnamespace-autoclean-perl,
         libmime-lite-perl,
         libmoose-perl,
         libmoosex-nonmoose-perl,
         libnumber-format-perl,
         libpgobject-perl (>= 1.403.2-1),
         libpgobject-simple-perl (>= 3.000002-1),
         libpgobject-simple-role-perl (>= 2.000000-1),
         libpgobject-type-bigfloat-perl,
         libpgobject-type-bytestring-perl (>= 1.1.1-1),
         libpgobject-type-datetime-perl,
         libpgobject-util-dbmethod-perl,
         libpgobject-util-dbadmin-perl,
         libplack-perl,
         libplack-builder-conditionals-perl,
         libtemplate-perl (>=2.14-1),
         libtry-tiny-perl,
         libxml-simple-perl,
         perl,
         postgresql-client,
         postgresql-contrib,
         starman,
         ucf,
         ${misc:Depends},
         ${perl:Depends}
Recommends: apache2 | nginx-light | nginx-full | nginx-extra,
            libjson-xs-perl,
            liblatex-driver-perl (>= 0.300.2),
            libmath-bigint-gmp-perl,
            libtemplate-plugin-latex-perl (>=3.09-1),
            libtex-encode-perl,
            texlive-latex-recommended
Suggests: default-mta | mail-transport-agent,
          latex-cjk-all,
          ledgersmb-1.5-apache | ledgersmb-1.5-nginx,
          libimage-size-perl,
          libopenoffice-oodoc-perl,
          libx12-parser-perl,
          postgresql,
          lpr,
          postgresql,
          texlive-xetex
Description: financial accounting and ERP program
 LedgerSMB is a full featured double-entry financial accounting and Enterprise
 Resource Planning system accessed via a web browser (Perl/JS with a PostgreSQL
 backend) which offers "Accounts Receivable", "Accounts Payable" and "General
 Ledger" tracking as well as inventory control and fixed assets handling. The
 LedgerSMB client can be a web browser or a programmed API call. The goal of
 the LedgerSMB project is to bring high quality ERP and accounting capabilities
 to Small and Midsize Businesses.
 .
 The application now defaults to being made available locally on port 5762 and
 being run directly by Starman instead of by Apache. If other access is needed,
 a Reverse Proxy can be configured locally using Apache, Nginx, Lighttpd, or
 Varnish.
 .
 For more information, please see /usr/share/doc/ledgersmb/README.Debian.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with systemd

override_dh_auto_configure:
	cp conf/ledgersmb.conf.unbuilt-dojo ledgersmb.conf
	cp conf/systemd/starman-ledgersmb.service debian/ledgersmb.service

override_dh_auto_build:

override_dh_auto_test:

override_dh_auto_install:

override_dh_install:
	dh_install -XMIT-LICENSE -XGPL.txt -Xinstall_interactive.pl

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/ledgersmb/usr/share/ledgersmb/sql/modules/reload_modules.sh
	chmod +x debian/ledgersmb/usr/share/ledgersmb/tools/dbsetup.pl
	chmod +x debian/ledgersmb/usr/share/ledgersmb/tools/drop-roles.pl
	chmod +x debian/ledgersmb/usr/share/ledgersmb/tools/starman.psgi
	chmod +x debian/ledgersmb/usr/share/ledgersmb/utils/notify_short/config.pl
	chmod +x debian/ledgersmb/usr/share/ledgersmb/utils/notify_short/listener.pl
	chmod +x debian/ledgersmb/usr/share/ledgersmb/utils/process_queue/config.pl.default
	chmod +x debian/ledgersmb/usr/share/ledgersmb/utils/process_queue/process_queue.pl
	chmod +x debian/ledgersmb/usr/share/ledgersmb/utils/replication/configure-replication.sh
	chmod -x debian/ledgersmb/usr/share/ledgersmb/locale/html/splash.html
	chmod -x debian/ledgersmb/usr/share/ledgersmb/lib/LedgerSMB/Template/TXT.pm
	chmod -x debian/ledgersmb/usr/share/ledgersmb/lib/LedgerSMB/Template/HTML.pm
	chmod -x debian/ledgersmb/usr/share/ledgersmb/lib/LedgerSMB/Template/CSV.pm
	chmod -x debian/ledgersmb/usr/share/ledgersmb/lib/LedgerSMB/Template/LaTeX.pm

get-orig-source:
	uscan --force-download --rename --destdir .

.PHONY: get-orig-source

=== debian/watch ===
# LedgerSMB debian/watch control file for uscan

# Compulsory line, this is a version 4 file
version=4

# Check against upstream release key. Exclude development snapshots. And only
# include versions from the 1.5.x series.
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ledgersmb-$1\.tar\.gz/, \
dversionmangle=s/\+ds//, \
repacksuffix=+ds, \
uversionmangle=s/^1\.5\.99\d*/0/, \
pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/ledgersmb-$1\.tar\.gz\.asc/" \
https://github.com/ledgersmb/LedgerSMB/tags .*/v?(1.5.+)\.tar\.gz

## ledgersmb 1.6.5+ds

=== debian/changelog ===
ledgersmb (1.6.5+ds-1) unstable; urgency=medium

  * New series 1.6.x Upstream Release (Closes: #903744)
  * Update the debian/ledgersmb.install for the new upstream version.
  * Redo debian/patches/10_lsmb-config.patch for new upstream version.
  * Redo debian/patches/15_lsmb-service.patch for new upstream version.
  * Declare compliance with Debian Policy 4.2.1, no changes required.
  * Update debian/watch to use the 'download.ledgersmb.org' release site and
    for the new 1.6.x series upstream. (Closes: #868724)
  * Changes in debian/ldgersmb.init:
    + Correct wording of the Short-Description.
    + Correct setting of the WORKING_DIRECTORY parameter.
    + Update the setting of the 'APP' variable for new upstream.
  * Change debian/rules target from 'get-orig-source' to 'get-original-source'
    and update the reference to it in debian/README.source.
  * Replace 'libfile-mimeinfo-perl' with 'libmime-types-perl' in debian/control.
  * Update the 'override_dh_fixperms' target in debian/rules for new upstream.

 -- Robert James Clay <jame@rocasa.us>  Fri, 12 Oct 2018 19:12:01 -0400

ledgersmb (1.5.21+ds-2) unstable; urgency=medium

  * Updated the debconf debian/po/es.po file.
  * Updated the debconf debian/po/ru.po file. (Closes: #904708)
  * Updated the debconf debian/po/cs.po file. (Closes: #905098)
  * Updated the debconf debian/po/da.po file. (Closes: #905893)
  * Updated the debconf debian/po/de.po file. (Closes: #906576)
  * Updated the debconf debian/po/fr.po file. (Closes: #905637)
  * Updated the debconf debian/po/pt_BR.po file. (Closes: #905870)
  * Updated the debconf debian/po/nl.po file. (Closes: #906061)
  * Add/update the debian/po/* information in the debian/copyright file.
  * Declare compliance with Debian Policy 4.2.0, no changes required.

 -- Robert James Clay <jame@rocasa.us>  Fri, 24 Aug 2018 21:57:06 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Robert James Clay <jame@rocasa.us>
 Build-Depends: debhelper (>= 9.20160709),
                po-debconf
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: http://www.ledgersmb.org/
 Vcs-Git: https://github.com/ledgersmb/pkg-ledgersmb.git
 Vcs-Browser: https://github.com/ledgersmb/pkg-ledgersmb
@@ -23,7 +23,7 @@
          libdatetime-format-strptime-perl,
          libdbd-pg-perl,
          libdbi-perl,
-         libfile-mimeinfo-perl,
+         libhtml-escape-perl,
          libhttp-exception-perl,
          libjs-dojo-dijit,
          libjson-perl,
@@ -32,6 +32,7 @@
          liblog-log4perl-perl,
          libnamespace-autoclean-perl,
          libmime-lite-perl,
+         libmime-types-perl,
          libmoose-perl,
          libmoosex-nonmoose-perl,
          libnumber-format-perl,
@@ -64,7 +65,6 @@
             texlive-latex-recommended
 Suggests: default-mta | mail-transport-agent,
           latex-cjk-all,
-          ledgersmb-1.5-apache | ledgersmb-1.5-nginx,
           libimage-size-perl,
           libopenoffice-oodoc-perl,
           libx12-parser-perl,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with systemd

override_dh_auto_configure:
	cp conf/ledgersmb.conf.unbuilt-dojo ledgersmb.conf
	cp conf/systemd/ledgersmb_starman.service debian/ledgersmb.service

override_dh_auto_build:

override_dh_auto_test:

override_dh_auto_install:

override_dh_install:
	dh_install -XMIT-LICENSE -XGPL.txt -Xinstall_interactive.pl

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/ledgersmb/usr/share/ledgersmb/bin/drop-roles
	chmod +x debian/ledgersmb/usr/share/ledgersmb/sql/modules/reload_modules.sh
	chmod +x debian/ledgersmb/usr/share/ledgersmb/utils/notify_short/config.pl
	chmod +x debian/ledgersmb/usr/share/ledgersmb/utils/notify_short/listener.pl
	chmod +x debian/ledgersmb/usr/share/ledgersmb/utils/process_queue/config.pl.default
	chmod +x debian/ledgersmb/usr/share/ledgersmb/utils/process_queue/process_queue.pl

get-original-source:
	uscan --force-download --rename --destdir .

.PHONY: get-original-source

## ledgersmb 1.6.6+ds

=== debian/changelog ===
ledgersmb (1.6.6+ds-1) unstable; urgency=medium

  * New upstream release.
  * In the 12 Oct 2018 stanza of the debian/changelog; correct miss-spelling
    at debian/ledgersmb.init item and add missing items for debian/control
    and debian/rules.
  * Changes in debian/control:
    + Add the 'libversion-compare-perl' package as a Depends.
    + Add the 'libplack-request-withencoding-perl' package as a Depends.
  * Add chmod of the 'utils/devel/ledgersmb-server-development.psgi' file
    to debian/rules.
  * Install all of the upstream 'utils/' directory in debian/ledgersmb.install
    instead of just two subdirectories. (Closes: #911047)

 -- Robert James Clay <jame@rocasa.us>  Sun, 21 Oct 2018 20:12:23 -0400

=== debian/control ===
--- 
+++ 
@@ -46,8 +46,10 @@
          libpgobject-util-dbadmin-perl,
          libplack-perl,
          libplack-builder-conditionals-perl,
+         libplack-request-withencoding-perl,
          libtemplate-perl (>=2.14-1),
          libtry-tiny-perl,
+         libversion-compare-perl,
          libxml-simple-perl,
          perl,
          postgresql-client,

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
 	chmod +x debian/ledgersmb/usr/share/ledgersmb/utils/notify_short/listener.pl
 	chmod +x debian/ledgersmb/usr/share/ledgersmb/utils/process_queue/config.pl.default
 	chmod +x debian/ledgersmb/usr/share/ledgersmb/utils/process_queue/process_queue.pl
+	chmod +x debian/ledgersmb/usr/share/ledgersmb/utils/devel/ledgersmb-server-development.psgi
 
 get-original-source:
 	uscan --force-download --rename --destdir .

## ledgersmb 1.6.8+ds

=== debian/changelog ===
ledgersmb (1.6.8+ds-1) unstable; urgency=medium

  * New upstream release.
  * Updated the debconf debian/po/pl.po file.
  * Updated the debconf debian/po/sv.po file.
  * Updated the debconf debian/po/it.po file. (Closes: #914460)
  * Updated the debconf debian/po/pt.po file. (Closes: #915262)

 -- Robert James Clay <jame@rocasa.us>  Sun, 16 Dec 2018 19:05:05 -0500

ledgersmb (1.6.6+ds-2) unstable; urgency=medium

  * Add a ".proverc" filename to the debian/clean file.
  * Add "cp t/.proverc ./"  to the 'override_dh_auto_configure' target in
    debian/rules.
  * Remove 'override_dh_auto_test' from debian/rules to facilitate the basic
    upstream tests.
  * Changes to debian/control:
    + Remove duplication of 'postgresql' from the Suggests stanza.
    + Derive Build-Depends-Indep from the Depends and Recommends stanzas
      and also include the libtest-bdd-cucumber-perl, libtest-trap-perl,
      libtap-parser-sourcehandler-pgtap-perl, libdbd-mock-perl, and the
      libdbd-mock-perl packages.
    + Add 'lighttpd' & 'varnish' to the Web Proxies in the Recommends stanza.
    + Add 'texlive-latex-recommended' & 'texlive-xetex' to the Build-Depends
      stanza.
    + Add packages libio-stringy-perl, libdata-uuid-perl, libtext-markdown-perl,
      and libplack-middleware-reverseproxy-perl to the Depends stanza.

 -- Robert James Clay <jame@rocasa.us>  Mon, 12 Nov 2018 04:55:42 -0500

## ledgersmb 1.6.9%2Bds

=== debian/changelog ===
ledgersmb (1.6.9+ds-1) unstable; urgency=medium

  * New upstream release.
  * Declare compliance with Debian Policy 4.3.0, no changes required.
  * Resolve issue with trailing spaces in the debian/changelog file.

 -- Robert James Clay <jame@rocasa.us>  Wed, 26 Dec 2018 20:45:30 -0500

## ledgersmb 1.6.9+ds

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-DIST_VER=$(shell utils/release/build-id)
+DIST_VER=$(shell utils/install/build-id)
 DIST_DIR=/tmp
 ifeq ($(DIST_VER),travis)
 DIST_DEPS=cached_dojo
@@ -9,7 +9,7 @@
 
 .DEFAULT_GOAL := help
 
-DEB_essential := cpanminus postgresql make libdbd-pg-perl
+DEB_essential := cpanminus postgresql make gcc libdbd-pg-perl
 DEB_essential += starman
 DEB_perlmodules := libcgi-emulate-psgi-perl libcgi-simple-perl libconfig-inifiles-perl
 DEB_perlmodules += libdbd-pg-perl libdbi-perl libdatetime-perl
@@ -26,10 +26,12 @@
 DEB_feature_PDF := texlive-latex-recommended
 DEB_feature_PDF_utf8 := texlive-xetex
 DEB_feature_OpenOffice := libopenoffice-oodoc-perl
+DEB_feature_PGTAP := pgtap
+DEB_feature_XLS :=
 
 # Core packages provided by Fedora 24
 RHEL_essential := perl-devel perl-CPAN perl-App-cpanminus
-RHEL_essential += postgresql make perl-DBD-Pg
+RHEL_essential += postgresql make gcc perl-DBD-Pg
 RHEL_essential += perl-Starman
 RHEL_perlmodules := perl-CGI-Emulate-PSGI perl-CGI-Simple perl-Config-IniFiles
 RHEL_perlmodules += perl-DBD-Pg perl-DBI perl-DateTime perl-DateTime-Format-Strptime
@@ -43,11 +45,13 @@
 RHEL_feature_PDF := perl-TeX-Encode texlive
 RHEL_feature_PDF_utf8 := 
 RHEL_feature_OpenOffice := 
+RHEL_feature_XLS := 
 
 FBSD_essential := 
 FBSD_perlmodules := 
 FBSD_feature_PDF := 
 FBSD_feature_OpenOffice := 
+FBSD_feature_XLS := 
 
 APT_GET = sudo apt-get install
 YUM = sudo yum install
@@ -155,16 +159,20 @@
 OS_feature_PDF        := deb_feature_PDF
 OS_feature_PDF_utf8   := deb_feature_PDF_utf8
 OS_feature_OpenOffice := deb_feature_OpenOffice
+OS_feature_XLS        := deb_feature_XLS
+OS_feature_PGTAP      := deb_feature_PGTAP
 endif
 ifeq ($(OSTYPE),REDHAT)
 OS_feature_PDF        := rhel_feature_PDF
 OS_feature_PDF_utf8   := rhel_feature_PDF_utf8
 OS_feature_OpenOffice := rhel_feature_OpenOffice
+OS_feature_XLS        := rhel_feature_XLS
 endif
 ifeq ($(OSTYPE),FREEBSD)
 OS_feature_PDF        := fbsd_feature_PDF
 OS_feature_PDF_utf8   := fbsd_feature_PDF_utf8
 OS_feature_OpenOffice := fbsd_feature_OpenOffice
+OS_feature_XLS        := fbsd_feature_XLS
 endif
 
 # make help
@@ -177,7 +185,7 @@
   - http://ledgersmb.org/topic/installing-ledgersmb-15
 
 The easiest way to use this makefile to install LedgerSMB is simply to run
-  make all_depndencies
+  make all_dependencies
   make feature_PDF_utf8 # this is optional and is a large additional download
                         # see discussion about XeLaTeX and UTF8 at
                         # http://ledgersmb.org
@@ -211,6 +219,7 @@
 
     - feature_PDF             : Install system and cpan packages for generating PDF/Postscript output
     - feature_PDF_utf8        : Install system and cpan packages for UTF8 ouput in PDF/Postscript output
+    - feature_XLS             : Install system and cpan packages for generating XLS output
     - feature_OpenOffice      : Install system and cpan packages for generating OpenOffice output
 
     #############################################################
@@ -226,12 +235,14 @@
     - deb_feature_PDF         : installs deb packages for generating PDF/Postscript output
     - deb_feature_PDF_utf8    : Installs texlive-xetex to allow UTF8 ouput in PDF/Postscript output
     - deb_feature_OpenOffice  : Installs deb package for generating OpenOffice output
+    - deb_feature_XLS         : Installs deb package for generating XLS output
 
     - rhel_essential          : installs just the "can't do without these" dependencies
     - rhel_perlmodules        : installs all known rpm packaged perl modules we depend on
     - rhel_feature_PDF        : installs rpm packages for generating PDF/Postscript output
     - rhel_feature_PDF_utf8   : Installs texlive-xetex (if available) to allow UTF8 ouput in PDF/Postscript output
     - rhel_feature_OpenOffice : Installs rpm package for generating OpenOffice output
+    - rhel_feature_XLS        : Installs deb package for generating XLS output
 
 
 endef
@@ -261,7 +272,7 @@
 
 
 dojo_archive: dojo
-    #TODO: Protect for concurrent invocations
+	#TODO: Protect for concurrent invocations
 	mkdir -p $(HOMEDIR)
 	touch $(FLAG)
 	tar cf $(TEMP) UI/js
@@ -269,23 +280,3 @@
 	rm $(FLAG)
 
 cached_dojo:
-ifeq ($(wildcard $(ARCHIVE)),)
-	$(MAKE) dojo_archive
-endif
-	tar xf $(ARCHIVE)
-
-
-# make blacklist
-blacklist:
-	perl tools/makeblacklist.pl
-
-# make pod
-#make submodules
-#   Initialises and updates our git submodules
-submodules:
-	git submodule update --init --recursive
-
-# make dist
-#   builds release distribution archive
-dist: $(DIST_DEPS)
-	test -d $(DIST_DIR) || mkdir -p $(DIST_DIR)

=== debian/changelog ===
ledgersmb (1.6.9+ds-2+deb11u3) bullseye-security; urgency=medium

  * Fix a regression in the display of some search results

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 30 Aug 2021 15:19:14 +0200

ledgersmb (1.6.9+ds-2+deb11u2) bullseye-security; urgency=medium

  * Fix CVE-2021-3731, thanks to Erik Huelsmann

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 22 Aug 2021 20:58:22 +0200

ledgersmb (1.6.9+ds-2+deb11u1) bullseye-security; urgency=medium

  * Fix CVE-2021-3693 and CVE-2021-3694, thanks to Erik Huelsmann

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 19 Aug 2021 21:02:41 +0200

ledgersmb (1.6.9+ds-2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Erik Huelsmann ]
  * Fix Missing old/bin/ directory on 1.6 package (Closes: #981608)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 10 Feb 2021 23:10:53 +0000

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,58 @@
 Maintainer: LedgerSMB Core Team <devel@lists.ledgersmb.org>
 Uploaders: Robert James Clay <jame@rocasa.us>
 Build-Depends: debhelper (>= 9.20160709),
+               texlive-latex-recommended,
+               texlive-xetex,
                po-debconf
-Standards-Version: 4.2.1
+Build-Depends-Indep: libcgi-emulate-psgi-perl,
+                     libcgi-simple-perl,
+                     libclass-c3-xs-perl,
+                     libconfig-inifiles-perl,
+                     libdata-uuid-perl,
+                     libdatetime-format-strptime-perl,
+                     libdatetime-perl,
+                     libdbd-mock-perl,
+                     libdbi-perl,
+                     libhtml-escape-perl,
+                     libhttp-exception-perl,
+                     libio-stringy-perl,
+                     libjson-perl,
+                     libjson-xs-perl,
+                     liblocale-codes-perl,
+                     liblocale-maketext-lexicon-perl (>= 0.62),
+                     liblog-log4perl-perl,
+                     liblatex-driver-perl (>= 0.300.2),
+                     libmime-lite-perl,
+                     libmime-types-perl,
+                     libmoose-perl,
+                     libmoosex-nonmoose-perl,
+                     libnamespace-autoclean-perl,
+                     libnumber-format-perl,
+                     libpgobject-perl (>= 1.403.2),
+                     libpgobject-simple-perl (>= 3.000002),
+                     libpgobject-simple-role-perl (>= 2.000000),
+                     libpgobject-type-bigfloat-perl,
+                     libpgobject-type-bytestring-perl (>= 1.1.1),
+                     libpgobject-type-datetime-perl,
+                     libpgobject-util-dbmethod-perl,
+                     libpgobject-util-dbadmin-perl,
+                     libplack-perl,
+                     libplack-builder-conditionals-perl,
+                     libplack-middleware-reverseproxy-perl,
+                     libplack-request-withencoding-perl,
+                     libtap-parser-sourcehandler-pgtap-perl,
+                     libtemplate-perl (>=2.14),
+                     libtemplate-plugin-latex-perl (>=3.09),
+                     libtest-bdd-cucumber-perl,
+                     libtest-trap-perl,
+                     libtest-exception-perl,
+                     libtex-encode-perl,
+                     libtext-markdown-perl,
+                     libtry-tiny-perl,
+                     libversion-compare-perl,
+                     libxml-simple-perl,
+                     perl
+Standards-Version: 4.3.0
 Homepage: http://www.ledgersmb.org/
 Vcs-Git: https://github.com/ledgersmb/pkg-ledgersmb.git
 Vcs-Browser: https://github.com/ledgersmb/pkg-ledgersmb
@@ -19,12 +69,14 @@
          libcgi-simple-perl,
          libclass-c3-xs-perl,
          libconfig-inifiles-perl,
+         libdata-uuid-perl,
          libdatetime-perl,
          libdatetime-format-strptime-perl,
          libdbd-pg-perl,
          libdbi-perl,
          libhtml-escape-perl,
          libhttp-exception-perl,
+         libio-stringy-perl,
          libjs-dojo-dijit,
          libjson-perl,
          liblocale-codes-perl,
@@ -46,8 +98,10 @@
          libpgobject-util-dbadmin-perl,
          libplack-perl,
          libplack-builder-conditionals-perl,
+         libplack-middleware-reverseproxy-perl,
          libplack-request-withencoding-perl,
          libtemplate-perl (>=2.14-1),
+         libtext-markdown-perl,
          libtry-tiny-perl,
          libversion-compare-perl,
          libxml-simple-perl,
@@ -58,7 +112,8 @@
          ucf,
          ${misc:Depends},
          ${perl:Depends}
-Recommends: apache2 | nginx-light | nginx-full | nginx-extra,
+Recommends: apache2 | nginx-light | nginx-full | nginx-extra |
+            lighttpd | varnish,
             libjson-xs-perl,
             liblatex-driver-perl (>= 0.300.2),
             libmath-bigint-gmp-perl,
@@ -70,7 +125,6 @@
           libimage-size-perl,
           libopenoffice-oodoc-perl,
           libx12-parser-perl,
-          postgresql,
           lpr,
           postgresql,
           texlive-xetex

## ledgersmb 1.6.9.3

=== debian/changelog ===
ledgersmb (1.6.9.3-1+dde) unstable; urgency=medium

  * update

 -- LedgerSMB Core Team <devel@lists.ledgersmb.org>  Thu, 21 Oct 2021 15:25:33 +0800

ledgersmb (1.6.9.2-1+dde) unstable; urgency=medium

  * fix CVE-2021-3731 CVE-2021-3694 CVE-2021-3693.
  * add uniontech-CVE-2021-3693.patch uniontech-CVE-2021-3694.patch uniontech-CVE-2021-3731.patch uniontech-CVE-2021-3693-regression.patch from debian

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Wed, 20 Oct 2021 14:07:20 +0800

ledgersmb (1.6.9.1-1+dde) unstable; urgency=medium

  * add-uos-support.patch.
  * 

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Wed, 20 Oct 2021 11:30:06 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
 Build-Depends: debhelper (>= 9.20160709),
                texlive-latex-recommended,
                texlive-xetex,
-               po-debconf
+               po-debconf,
+               lsb-release
 Build-Depends-Indep: libcgi-emulate-psgi-perl,
                      libcgi-simple-perl,
                      libclass-c3-xs-perl,

## ledgersmb 1.6.33%2Bds

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,17 @@
 
-DIST_VER=$(shell utils/install/build-id)
+-include Makefile.local
+
+
+DIST_VER=$(shell git rev-parse --short HEAD)
 DIST_DIR=/tmp
 ifeq ($(DIST_VER),travis)
 DIST_DEPS=cached_dojo
 else
 DIST_DEPS=dojo
+endif
+
+ifneq ($(origin CONTAINER),undefined)
+DOCKER_CMD=docker exec -ti $(CONTAINER)
 endif
 
 .DEFAULT_GOAL := help
@@ -273,10 +280,3 @@
 
 dojo_archive: dojo
 	#TODO: Protect for concurrent invocations
-	mkdir -p $(HOMEDIR)
-	touch $(FLAG)
-	tar cf $(TEMP) UI/js
-	mv $(TEMP) $(ARCHIVE)
-	rm $(FLAG)
-
-cached_dojo:

## ledgersmb 1.6.33+ds

=== debian/changelog ===
ledgersmb (1.6.33+ds-1ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: No origin check for HTML fragments
    - debian/patches/CVE-2021-3693.patch: Fix regression of errors not
      creating pop-ups
    - CVE-2021-3693
  * SECURITY UPDATE: Missing secure attribute over HTTPS
    - debian/patches/CVE-2021-3882.patch: Use HTTPS environment setting
      to detect https connections
    - CVE-2021-3882
  * SECURITY UPDATE: Privilege escalation
    - debian/patches/CVE-2024-23831.patch: Fix missing CSRF mitigation
    - CVE-2024-23831

 -- John Breton <john.breton@canonical.com>  Tue, 15 Jul 2025 13:28:31 -0400

ledgersmb (1.6.33+ds-1) unstable; urgency=medium

  [Erik Huelsmann]
  * New upstream release.
  * Add myself to Uploaders.

  [ Robert James Clay ]
  * Bump debhelper version from 9.20160709 to 10.
  * Add initial Features list to Long Description in debian/control.
  * Add patching of conf/ledgersmb.conf.default file to 10_lsmb-config.patch.

 -- Erik Hulsmann <erik@gmail.com>  Sat, 22 Jan 2022 19:23:59 +0100

ledgersmb (1.6.9+ds-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload the last security fixes also to unstable.  Closes: #992817

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 01 Sep 2021 20:19:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: ledgersmb
 Section: web
 Priority: optional
-Maintainer: LedgerSMB Core Team <devel@lists.ledgersmb.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LedgerSMB Core Team <devel@lists.ledgersmb.org>
 Uploaders: Robert James Clay <jame@rocasa.us>
-Build-Depends: debhelper (>= 9.20160709),
+           Erik Huelsmann <ehuels@gmail.com>
+Build-Depends: debhelper (>= 10),
                texlive-latex-recommended,
                texlive-xetex,
-               po-debconf,
-               lsb-release
+               po-debconf
 Build-Depends-Indep: libcgi-emulate-psgi-perl,
                      libcgi-simple-perl,
                      libclass-c3-xs-perl,
@@ -138,6 +139,17 @@
  the LedgerSMB project is to bring high quality ERP and accounting capabilities
  to Small and Midsize Businesses.
  .
+  Features:
+  - Sales (Invoices, Orders, Quotations)
+  - Receivables & Payables
+  - General ledger
+  - Inventory management
+  - Fixed asset accounting & depreciation
+  - Profit & cost centers, departments, projects
+  - Output documents in PDF, HTML, CSV, and Office formats
+  - Mail documents (e.g. invoices) from within the application
+  - Translatable to your language (comes with 45 languages)
+ .
  The application now defaults to being made available locally on port 5762 and
  being run directly by Starman instead of by Apache. If other access is needed,
  a Reverse Proxy can be configured locally using Apache, Nginx, Lighttpd, or

=== debian/watch ===
# LedgerSMB debian/watch control file for uscan

# Compulsory line, this is a version 4 file
version=4

# Check against upstream release key. Exclude development snapshots. And only
# include versions from the 1.6.x series.
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ledgersmb-$1\.tar\.gz/, \
pgpsigurlmangle=s/$/.asc/, \
dversionmangle=s/\+ds//, \
repacksuffix=+ds, \
repack,compression=xz, \
uversionmangle=s/^1\.6\.99\d*/0/" \
https://download.ledgersmb.org/f/Releases/(1.6.+)/ledgersmb-([\d\.]*).tar.gz
